Bug 19999 - use Modern::Perl in Labels perl scripts
Summary: use Modern::Perl in Labels perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Bennett
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-01-17 04:45 UTC by Aleisha Amohia
Modified: 2018-03-25 09:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19999: Replacing 'use strict; use warnings;' with 'use Modern::Perl;' (5.67 KB, patch)
2018-01-17 23:06 UTC, Zoe Bennett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 04:45:34 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
label-create-csv.pl
label-create-pdf.pl
label-create-xml.pl
label-edit-batch.pl
label-edit-layout.pl
label-edit-profile.pl
label-edit-template.pl
label-home.pl
label-item-search.pl
label-print.pl
spinelabel-home.pl
spinelabel-print.pl
Comment 1 Zoe Bennett 2018-01-17 23:06:50 UTC
Created attachment 70649 [details] [review]
Bug 19999: Replacing 'use strict; use warnings;' with 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl;' and not 'use strict; use
warnings;' in the following labels perl scripts:

label-create-csv.pl
label-create-pdf.pl
label-create-xml.pl
label-edit-batch.pl
label-edit-layout.pl
label-edit-profile.pl
label-edit-template.pl
label-home.pl
label-item-search.pl
label-print.pl
spinelabel-home.pl
spinelabel-print.pl
Comment 2 Jonathan Druart 2018-02-05 12:48:55 UTC
Skipping SO and QA, trivial changes.
Comment 3 Jonathan Druart 2018-02-05 12:59:14 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 4 Nick Clemens 2018-02-16 00:58:30 UTC
Awesome work all! Enhancement not backported to stable.